Alerts - List

정의된 범위에 대한 경고를 나열합니다.

GET https://management.azure.com/{scope}/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
scope
path True

string

경고 작업과 연결된 범위입니다. 여기에는 구독 범위에 대한 '/subscriptions/{subscriptionId}/', resourceGroup 범위에 대한 '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}'이 포함됩니다. '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}' for Billing Account scope and '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/departments/{departmentId}' for Department scope, '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/enrollmentAccounts/{ enrollmentAccount 범위에 대한 enrollmentAccountId}', 관리 그룹 범위의 경우 '/providers/Microsoft.Management/managementGroups/{managementGroupId}, billingProfile 범위의 경우 '/providers/Microsoft.Billing/billingAccountId}/{billingAccountId}/{billingProfileId}' invoiceSection 범위에 대한 '/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}/invoiceSections/{invoiceSectionId}' 및 '/providers/Microsoft. 파트너에 대한 청구/billingAccounts/{billingAccountId}/customers/{customerId}'

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

AlertsResult

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

BillingAccountAlerts
BillingProfileAlerts
DepartmentAlerts
EnrollmentAccountAlerts
InvoiceSectionAlerts
ResourceGroupAlerts
SubscriptionAlerts

BillingAccountAlerts

샘플 요청

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

BillingProfileAlerts

샘플 요청

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345-6789/billingProfiles/13579/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

DepartmentAlerts

샘플 요청

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/departments/123/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

EnrollmentAccountAlerts

샘플 요청

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/enrollmentAccounts/456/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

InvoiceSectionAlerts

샘플 요청

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/providers/Microsoft.Billing/billingAccounts/12345:6789/billingProfiles/13579/invoiceSections/9876/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

ResourceGroupAlerts

샘플 요청

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/ScreenSharingTest-peer/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

SubscriptionAlerts

샘플 요청

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts?api-version=2025-03-01

샘플 응답

{
  "nextLink": null,
  "value": [
    {
      "name": "00000000-0000-0000-0000-000000000000",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/00000000-0000-0000-0000-000000000000",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2020-04-27T11:07:52.7143901Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2020-04-28T11:06:02.8999373Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 161000.12,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "00000000-0000-0000-0000-000000000000_1_01",
          "unit": "USD"
        }
      }
    },
    {
      "name": "11111111-1111-1111-111111111111",
      "type": "Microsoft.CostManagement/alerts",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CostManagement/alerts/11111111-1111-1111-111111111111",
      "properties": {
        "description": "",
        "closeTime": "0001-01-01T00:00:00",
        "costEntityId": "budget1",
        "creationTime": "2019-06-24T05:51:52.8713179Z",
        "definition": {
          "type": "Budget",
          "category": "Cost",
          "criteria": "CostThresholdExceeded"
        },
        "modificationTime": "2019-08-31T17:51:55.1808807Z",
        "source": "Preset",
        "status": "Active",
        "statusModificationTime": "0001-01-01T00:00:00",
        "statusModificationUserName": null,
        "details": {
          "amount": 200000,
          "contactEmails": [
            "1234@contoso.com"
          ],
          "contactGroups": [],
          "contactRoles": [],
          "currentSpend": 171000.32,
          "meterFilter": [],
          "operator": "GreaterThan",
          "overridingAlert": null,
          "periodStartDate": "2020-03-01T00:00:00Z",
          "resourceFilter": [],
          "resourceGroupFilter": [],
          "tagFilter": {},
          "threshold": 0.8,
          "timeGrainType": "Quarterly",
          "triggeredBy": "11111111-1111-1111-111111111111_1_01",
          "unit": "USD"
        }
      }
    }
  ]
}

정의

Name Description
Alert

개별 경고입니다.

AlertCategory

경고 범주

AlertCriteria

경고를 트리거한 조건

AlertOperator

currentSpend를 양과 비교하는 데 사용되는 연산자

AlertPropertiesDefinition

경고 유형을 정의합니다.

AlertPropertiesDetails

경고 세부 정보

AlertSource

경고 원본

AlertsResult

경고의 결과입니다.

AlertStatus

경고 상태

AlertTimeGrainType

시간 배수 주기의 유형

AlertType

경고 유형

createdByType

리소스를 만든 ID의 형식입니다.

ErrorDetails

오류의 세부 정보입니다.

ErrorResponse

오류 응답은 서비스에서 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다. \n\n일부 오류 응답: \n\n * 429 TooManyRequests - 요청이 속도 제한됨. "x-ms-ratelimit-microsoft.consumption-retry-after" 헤더에 지정된 시간을 기다린 후 다시 시도합니다. \n\n * 503 서비스 사용 불가 - 서비스가 일시적으로 사용 불가입니다. "Retry-After" 헤더에 지정된 시간을 기다린 후 다시 시도합니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Alert

개별 경고입니다.

Name 형식 Description
eTag

string

리소스의 eTag입니다. 동시 업데이트 시나리오를 처리하기 위해 이 필드는 사용자가 최신 버전을 업데이트하는지 여부를 확인하는 데 사용됩니다.

id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

리소스의 이름

properties.closeTime

string

경고가 닫힌 dateTime

properties.costEntityId

string

관련 예산

properties.creationTime

string

경고가 만들어진 dateTime

properties.definition

AlertPropertiesDefinition

경고 유형을 정의합니다.

properties.description

string

경고 설명

properties.details

AlertPropertiesDetails

경고 세부 정보

properties.modificationTime

string

경고가 마지막으로 수정된 dateTime

properties.source

AlertSource

경고 원본

properties.status

AlertStatus

경고 상태

properties.statusModificationTime

string

경고 상태가 마지막으로 수정된 dateTime

properties.statusModificationUserName

string

경고를 마지막으로 수정한 사용자

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

AlertCategory

경고 범주

Description
Cost
Usage
Billing
System

AlertCriteria

경고를 트리거한 조건

Description
CostThresholdExceeded
UsageThresholdExceeded
CreditThresholdApproaching
CreditThresholdReached
QuotaThresholdApproaching
QuotaThresholdReached
MultiCurrency
ForecastCostThresholdExceeded
ForecastUsageThresholdExceeded
InvoiceDueDateApproaching
InvoiceDueDateReached
CrossCloudNewDataAvailable
CrossCloudCollectionError
GeneralThresholdError

AlertOperator

currentSpend를 양과 비교하는 데 사용되는 연산자

Description
None
EqualTo
GreaterThan
GreaterThanOrEqualTo
LessThan
LessThanOrEqualTo

AlertPropertiesDefinition

경고 유형을 정의합니다.

Name 형식 Description
category

AlertCategory

경고 범주

criteria

AlertCriteria

경고를 트리거한 조건

type

AlertType

경고 유형

AlertPropertiesDetails

경고 세부 정보

Name 형식 Description
amount

number (decimal)

예산 임계값

companyName

string

회사 이름

contactEmails

string[]

연락할 전자 메일 목록

contactGroups

string[]

브로드캐스트할 작업 그룹 목록

contactRoles

string[]

연락처 역할 목록

currentSpend

number (decimal)

현재 지출

departmentName

string

부서 이름

enrollmentEndDate

string

enrollmentEndDate의 datetime

enrollmentNumber

string

등록 번호

enrollmentStartDate

string

enrollmentStartDate의 datetime

invoicingThreshold

number (decimal)

청구서 임계값

meterFilter

MeterFilter[]

필터링 기준이 될 미터의 배열

operator

AlertOperator

currentSpend를 양과 비교하는 데 사용되는 연산자

overridingAlert

string

경고 재정의

periodStartDate

string

periodStartDate의 날짜/시간

resourceFilter

ResourceFilter[]

필터링할 리소스 배열

resourceGroupFilter

ResourceGroupFilter[]

필터링할 resourceGroup의 배열

tagFilter

필터링 기준 태그

threshold

number (decimal)

이 경고를 활성화한 10진수로 알림 임계값 백분율

timeGrainType

AlertTimeGrainType

시간 배수 주기의 유형

triggeredBy

string

이 경고를 트리거한 notificationId

unit

string

사용 중인 통화 단위

AlertSource

경고 원본

Description
Preset
User

AlertsResult

경고의 결과입니다.

Name 형식 Description
nextLink

string

경고 결과가 있는 경우 다음 경고 집합을 가져오는 URL입니다.

value

Alert[]

경고 목록입니다.

AlertStatus

경고 상태

Description
None
Active
Overridden
Resolved
Dismissed

AlertTimeGrainType

시간 배수 주기의 유형

Description
None
Monthly
Quarterly
Annually
BillingMonth
BillingQuarter
BillingAnnual

AlertType

경고 유형

Description
Budget
Invoice
Credit
Quota
General
xCloud
BudgetForecast

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

ErrorDetails

오류의 세부 정보입니다.

Name 형식 Description
code

string

오류 코드입니다.

message

string

작업이 실패한 이유를 나타내는 오류 메시지입니다.

ErrorResponse

오류 응답은 서비스에서 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다. \n\n일부 오류 응답: \n\n * 429 TooManyRequests - 요청이 속도 제한됨. "x-ms-ratelimit-microsoft.consumption-retry-after" 헤더에 지정된 시간을 기다린 후 다시 시도합니다. \n\n * 503 서비스 사용 불가 - 서비스가 일시적으로 사용 불가입니다. "Retry-After" 헤더에 지정된 시간을 기다린 후 다시 시도합니다.

Name 형식 Description
error

ErrorDetails

오류의 세부 정보입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.